| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iProcTexture Struct Reference
[3D]

Interface to a texture factory. More...

`#include <itexture/iproctex.h>`

Inheritance diagram for iProcTexture:

[legend]
List of all members.

## Public Member Functions
virtual bool | GetAlwaysAnimate () const =0
| Get the 'always animate' flag.
virtual iTextureFactory * | GetFactory ()=0
| Returns the texturefactor that created this proctexture.
virtual void | SetAlwaysAnimate (bool enable)=0
| Set the 'always animate' flag.

## Detailed Description

Interface to a texture factory.

Definition at line 38 of file iproctex.h.

## Member Function Documentation

virtual bool iProcTexture::GetAlwaysAnimate | ( |  | ) | const`[pure virtual]`

Get the 'always animate' flag.

Implemented in csProcTexture.

virtual iTextureFactory* iProcTexture::GetFactory | ( |  | ) | `[pure virtual]`

Returns the texturefactor that created this proctexture.

Implemented in csProcTexture.

virtual void iProcTexture::SetAlwaysAnimate | ( | bool | enable | ) | `[pure virtual]`

Set the 'always animate' flag.

Implemented in csProcTexture.

The documentation for this struct was generated from the following file:

- itexture/iproctex.h